using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class TransportationStudent_studentTransporation {

    /* Pickup or dropoff time, depending on direction. */
    public string busRouteTime { get; set; }

    /* The identifier assigned to a school by the State Education Agency (SEA). */
    public int? schoolId { get; set; }

    /* The bus number associated with the bus and bus route. */
    public string busNumber { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string directionDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string dayOfWeekDescriptor { get; set; }

    /* A descriptive name of the bus route. */
    public string name { get; set; }

    /* The number or id of the bus route. */
    public string busRouteNumberOrId { get; set; }

    /* The start time of the indicated bus route direction. */
    public string startTime { get; set; }

    /* The end time of the indicated bus route direction. */
    public string endTime { get; set; }

    /* A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. */
    public string busDriverFirstName { get; set; }

    /* A secondary name given to an individual at birth, baptism, or during another naming ceremony. */
    public string busDriverMiddleName { get; set; }

    /* The name borne in common by members of a family. */
    public string busDriverLastSurname { get; set; }
    }
}
