using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class BusRoute {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* The bus number associated with the bus and bus route. */
    public string busNumber { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string directionDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string dayOfWeekDescriptor { get; set; }

    /* A descriptive name of the bus route. */
    public string name { get; set; }

    /* The number or id of the bus route. */
    public string busRouteNumberOrId { get; set; }

    /* The start time of the indicated bus route direction. */
    public string startTime { get; set; }

    /* The end time of the indicated bus route direction. */
    public string endTime { get; set; }

    /* (MI EXT)  The set of elements that describe a student's bus schedule. */
    public BusRouteBusDriverName busDriverName { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
