using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class LearningStandardContentStandard {
    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference mandatingEducationOrganizationReference { get; set; }

    /* The name of the content standard, for example Common Core. */
    public string title { get; set; }

    /* The version identifier for the content. */
    public string version { get; set; }

    /* The public web site address (URL), file, or ftp locator. */
    public string uri { get; set; }

    /* The date on which this content was first published. */
    public DateTime? publicationDate { get; set; }

    /* The year at which this content was first published. */
    public int? publicationYear { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string publicationStatusType { get; set; }

    /* The beginning of the period during which this learning standard document is intended for use. */
    public DateTime? beginDate { get; set; }

    /* The end of the period during which this learning standard document is intended for use. */
    public DateTime? endDate { get; set; }

    /* An unordered collection of learningStandardContentStandardAuthors.  The person or organization chiefly responsible for the intellectual content of the standard. */
    public List<LearningStandardContentStandardAuthor> authors { get; set; }

    }
}
