using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StaffRecognition {
    /* Key for Recognition */
    public string recognitionType { get; set; }

    /* A description of the type of academic distinctions earned by or awarded to the individual. */
    public string recognitionDescription { get; set; }

    /* The date the recognition was awarded or earned. */
    public DateTime? recognitionAwardDate { get; set; }

    /* Date on which the award expires. */
    public DateTime? recognitionAwardExpiresDate { get; set; }

    /* The title assigned to the Achievement. */
    public string achievementTitle { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string achievementCategoryDescriptor { get; set; }

    /* The system that defines the categories by which an achievement is attributed to the individual. */
    public string achievementCategorySystem { get; set; }

    /* The name of the agent, entity, or institution issuing the element. */
    public string issuerName { get; set; }

    /* The Uniform Resource Locator (URL) from which the award was issued. */
    public string issuerOriginURL { get; set; }

    /* The criteria for competency-based completion of the achievement/award. */
    public string criteria { get; set; }

    /* The Uniform Resource Locator (URL) for the unique address of a web page describing the competency-based completion criteria for the achievement/award. */
    public string criteriaURL { get; set; }

    /* A statement or reference describing the evidence that the individual met the criteria for attainment of the Achievement. */
    public string evidenceStatement { get; set; }

    /* The Uniform Resource Locator (URL) for the unique address of an image representing an award or badge associated with the Achievement. */
    public string imageURL { get; set; }

    }
}
