using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentEarlyLearningProgramAssociation {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference educationOrganizationReference { get; set; }

    /* A reference to the related Program resource. */
    public ProgramReference programReference { get; set; }

    /* A reference to the related Student resource. */
    public StudentReference studentReference { get; set; }

    /* The month, day, and year on which the Student first received services. */
    public DateTime? beginDate { get; set; }

    /* The month, day, and year on which the Student exited the Program or stopped receiving services. */
    public DateTime? endDate { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string reasonExitedDescriptor { get; set; }

    /* Indicates whether the student received services during the summer session or between sessions. */
    public bool? servedOutsideOfRegularSession { get; set; }

    /* (MI-EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string deliveryScheduleDescriptor { get; set; }

    /* (MI-EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string deliveryMethodDescriptor { get; set; }

    /* (MI-EXT) The set of elements that describes an individualized family service plan. */
    public StudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan individualizedFamilyServicePlan { get; set; }

    /* An unordered collection of studentProgramAssociationServices.  Indicates the services being provided to the student by the program. */
    public List<StudentProgramAssociationService> services { get; set; }

    /* An unordered collection of studentEarlyLearningProgramAssociationEarlyLearningProgramServices.  (MI EXT) The set of elements that describes program service. */
    public List<StudentEarlyLearningProgramAssociationEarlyLearningProgramService> earlyLearningProgramServices { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
